(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 12.1' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[     37854,        890]
NotebookOptionsPosition[     35218,        843]
NotebookOutlinePosition[     35652,        860]
CellTagsIndexPosition[     35609,        857]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{"<<", "VilCretas`"}]], "Input",
 CellChangeTimes->{{3.8044479166690245`*^9, 3.80444792730058*^9}},
 CellLabel->"In[1]:=",ExpressionUUID->"43ce695b-0249-480c-a418-2f910b036204"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"?", "Dato"}]], "Input",
 CellChangeTimes->{{3.804447930743784*^9, 3.804447933758377*^9}},
 CellLabel->"In[2]:=",ExpressionUUID->"6ddad125-e16d-4089-ac95-02d90fb5d5bb"],

Cell[BoxData[
 InterpretationBox[
  StyleBox[
   FrameBox[
    DynamicModuleBox[{System`InformationDump`open$$ = False, 
     System`InformationDump`mouseOver$$ = False}, 
     PaneSelectorBox[{True->
      TagBox[GridBox[{
         {
          ItemBox[
           PaneBox[
            StyleBox["\<\" Symbol\"\>", "InformationTitleText",
             StripOnInput->False,
             BaseStyle -> None],
            FrameMargins->{{4, 0}, {-1, 1}}],
           BaseStyle->"InformationTitleBackground",
           StripOnInput->False], 
          ItemBox["\<\"\"\>",
           BaseStyle->"InformationTitleBackground",
           StripOnInput->False]},
         {
          ItemBox[
           PaneBox[
            
            StyleBox["\<\"Realiza la b\[UAcute]squeda de forma recursiva de \
un dato \[OpenCurlyDoubleQuote]a\[CloseCurlyDoubleQuote] sobre una lista \
\[OpenCurlyDoubleQuote]L\[CloseCurlyDoubleQuote]. El comando retorna los \
resultados paso a paso y permite, adem\[AAcute]s, visualizar el \
c\[OAcute]digo que lo conforma mediante el uso de las opciones \
\[OpenCurlyDoubleQuote]steps->True\[CloseCurlyDoubleQuote] y \
\[OpenCurlyDoubleQuote]code->True\[CloseCurlyDoubleQuote], respectivamente. \
Sintaxis: Dato[a, L], o bien, Dato[a, L, code->Valor, steps->Valor].\"\>", 
             "InformationUsageText",
             StripOnInput->False,
             LineSpacing->{1.5, 1.5, 3.}],
            FrameMargins->{{10, 10}, {8, 10}}],
           BaseStyle->"InformationUsageSubtitleBackground",
           StripOnInput->False], 
          ItemBox["\<\"\"\>",
           BaseStyle->"InformationUsageSubtitleBackground",
           StripOnInput->False]},
         {
          PaneBox[GridBox[{
             {
              
              DynamicModuleBox[{System`InformationDump`open$$ = {
               False, False, False, False, False, False, False, False, False, 
                False, False, False}}, 
               StyleBox[GridBox[{
                  {
                   TagBox[
                    TooltipBox[
                    StyleBox["\<\" Definitions\"\>", "InformationRowLabel",
                    StripOnInput->False],
                    "\"Definitions\"",
                    TooltipStyle->"TextStyling"],
                    Annotation[#, "Definitions", "Tooltip"]& ], GridBox[{
                    {
                    RowBox[{
                    RowBox[{"Dato", "[", 
                    RowBox[{
                    "VilCretas`Private`Ra_", ",", "VilCretas`Private`L_List", 
                    ",", 
                    RowBox[{"OptionsPattern", "[", "]"}]}], "]"}], ":=", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"VectorQ", "[", "VilCretas`Private`L", "]"}], ",", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"MemberQ", "[", 
                    RowBox[{"VilCretas`Private`L", ",", "Null"}], "]"}], 
                    "\[Equal]", "False"}], ",", 
                    RowBox[{"Module", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    "VilCretas`Private`RDato", ",", 
                    "VilCretas`Private`RDatoSteps", ",", 
                    RowBox[{"VilCretas`Private`RCont1", "=", "0"}]}], "}"}], 
                    ",", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"VilCretas`Private`RDato", "[", 
                    RowBox[{
                    "VilCretas`Private`Rb_", ",", 
                    "VilCretas`Private`Lista_List"}], "]"}], ":=", 
                    RowBox[{"Module", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    "VilCretas`Private`RList2", "=", 
                    "VilCretas`Private`Lista"}], "}"}], ",", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"VilCretas`Private`RList2", "\[Equal]", 
                    RowBox[{"{", "}"}]}], ",", "\<\"Dato no encontrado\"\>", 
                    ",", 
                    RowBox[{
                    RowBox[{"VilCretas`Private`RVl3", "=", 
                    RowBox[{"Last", "[", "VilCretas`Private`RList2", "]"}]}], 
                    ";", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"ToString", "[", "VilCretas`Private`Rb", "]"}], 
                    "\[Equal]", 
                    RowBox[{
                    "ToString", "[", "VilCretas`Private`RVl3", "]"}]}], 
                    ",", "\<\"Dato encontrado\"\>", ",", 
                    RowBox[{
                    RowBox[{"VilCretas`Private`RList2", "=", 
                    RowBox[{"Delete", "[", 
                    RowBox[{"VilCretas`Private`RList2", ",", 
                    RowBox[{
                    "Length", "[", "VilCretas`Private`RList2", "]"}]}], 
                    "]"}]}], ";", 
                    RowBox[{"VilCretas`Private`RDato", "[", 
                    RowBox[{
                    "VilCretas`Private`Rb", ",", "VilCretas`Private`RList2"}],
                     "]"}]}]}], "]"}]}]}], "]"}]}], "]"}]}], ";", 
                    RowBox[{
                    RowBox[{"VilCretas`Private`RDatoSteps", "[", 
                    RowBox[{
                    "VilCretas`Private`Rb_", ",", 
                    "VilCretas`Private`Lista_List"}], "]"}], ":=", 
                    RowBox[{"Module", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    "VilCretas`Private`RList2", "=", 
                    "VilCretas`Private`Lista"}], "}"}], ",", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"VilCretas`Private`RList2", "\[Equal]", 
                    RowBox[{"{", "}"}]}], ",", 
                    RowBox[{"Print", "[", "\<\"Dato no encontrado\"\>", "]"}],
                     ",", 
                    RowBox[{
                    RowBox[{"VilCretas`Private`RVl3", "=", 
                    RowBox[{"Last", "[", "VilCretas`Private`RList2", "]"}]}], 
                    ";", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"ToString", "[", "VilCretas`Private`Rb", "]"}], 
                    "\[Equal]", 
                    RowBox[{
                    "ToString", "[", "VilCretas`Private`RVl3", "]"}]}], ",", 
                    RowBox[{"Print", "[", "\<\"Dato encontrado\"\>", "]"}], 
                    ",", 
                    RowBox[{
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"VilCretas`Private`RCont1", "\[Equal]", "0"}], 
                    ",", 
                    RowBox[{
                    RowBox[{"Print", "[", 
                    
                    RowBox[{"\<\"Dato[\"\>", ",", "VilCretas`Private`Rb", 
                    ",", "\<\",\"\>", ",", "VilCretas`Private`RList2", 
                    ",", "\<\"]\"\>"}], "]"}], ";"}]}], "]"}], ";", 
                    RowBox[{"VilCretas`Private`RList2", "=", 
                    RowBox[{"Delete", "[", 
                    RowBox[{"VilCretas`Private`RList2", ",", 
                    RowBox[{
                    "Length", "[", "VilCretas`Private`RList2", "]"}]}], 
                    "]"}]}], ";", 
                    RowBox[{"VilCretas`Private`RCont1", "++"}], ";", 
                    RowBox[{"Print", "[", 
                    
                    RowBox[{"\<\"Dato[\"\>", ",", "VilCretas`Private`Rb", 
                    ",", "\<\",\"\>", ",", "VilCretas`Private`RList2", 
                    ",", "\<\"]\"\>"}], "]"}], ";", 
                    RowBox[{"VilCretas`Private`RDatoSteps", "[", 
                    RowBox[{
                    "VilCretas`Private`Rb", ",", "VilCretas`Private`RList2"}],
                     "]"}]}]}], "]"}]}]}], "]"}]}], "]"}]}], ";", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"BooleanQ", "[", 
                    RowBox[{"OptionValue", "[", "steps", "]"}], "]"}], "&&", 
                    RowBox[{"BooleanQ", "[", 
                    RowBox[{"OptionValue", "[", "code", "]"}], "]"}]}], ",", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"OptionValue", "[", "code", "]"}], ",", 
                    RowBox[{"Print", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"VilCretas`Private`RDato", "[", 
                    RowBox[{
                    "VilCretas`Private`Ra", ",", "VilCretas`Private`L"}], 
                    "]"}], ",", \
"\<\"Dato[a_,L_List]:=Module[{Lista=L},If[Lista\[Equal]{},\
\[OpenCurlyDoubleQuote]Dato no \
encontrado\[CloseCurlyDoubleQuote],Vl=Last[Lista];If[ToString[a]\[Equal]\
ToString[Vl],\[OpenCurlyDoubleQuote]Dato \
encontrado\[CloseCurlyDoubleQuote],Lista=Delete[Lista,Length[Lista]];Dato[a,\
Lista]]]]\"\>"}], "}"}], "]"}]}], "]"}]}], "]"}], ";", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"BooleanQ", "[", 
                    RowBox[{"OptionValue", "[", "steps", "]"}], "]"}], "&&", 
                    RowBox[{"BooleanQ", "[", 
                    RowBox[{"OptionValue", "[", "code", "]"}], "]"}]}], ",", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"OptionValue", "[", "steps", "]"}], ",", 
                    RowBox[{"VilCretas`Private`RDatoSteps", "[", 
                    RowBox[{
                    "VilCretas`Private`Ra", ",", "VilCretas`Private`L"}], 
                    "]"}], ",", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"OptionValue", "[", "code", "]"}], "\[Equal]", 
                    "False"}], ",", 
                    RowBox[{"VilCretas`Private`RDato", "[", 
                    RowBox[{
                    "VilCretas`Private`Ra", ",", "VilCretas`Private`L"}], 
                    "]"}]}], "]"}]}], "]"}]}], "]"}]}]}], "]"}]}], "]"}]}], 
                    "]"}]}]}
                    },
                    DefaultBaseStyle->"Column",
                    GridBoxAlignment->{"Columns" -> {{Left}}},
                    
                    GridBoxItemSize->{
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]},
                  {
                   TagBox[
                    TooltipBox[
                    StyleBox["\<\" Options\"\>", "InformationRowLabel",
                    StripOnInput->False],
                    "\"Options\"",
                    TooltipStyle->"TextStyling"],
                    Annotation[#, "Options", "Tooltip"]& ], 
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"code", "\[Rule]", "False"}], ",", 
                    RowBox[{"steps", "\[Rule]", "False"}]}], "}"}]},
                  {
                   TagBox[
                    TooltipBox[
                    StyleBox["\<\" Attributes\"\>", "InformationRowLabel",
                    StripOnInput->False],
                    "\"Attributes\"",
                    TooltipStyle->"TextStyling"],
                    Annotation[#, "Attributes", "Tooltip"]& ], 
                   RowBox[{"{", "Protected", "}"}]},
                  {
                   TagBox[
                    TooltipBox[
                    StyleBox["\<\" Full Name\"\>", "InformationRowLabel",
                    StripOnInput->False],
                    "\"FullName\"",
                    TooltipStyle->"TextStyling"],
                    
                    Annotation[#, "FullName", 
                    "Tooltip"]& ], "\<\"VilCretas`Dato\"\>"}
                 },
                 AutoDelete->False,
                 GridBoxAlignment->{"Columns" -> {Right, Left}},
                 GridBoxDividers->None,
                 GridBoxItemSize->{"Columns" -> {Automatic, Automatic}},
                 GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.5599999999999999]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.8]}, 
                    Offset[0.2]}}], "DialogStyle",
                StripOnInput->False],
               DynamicModuleValues:>{}]}
            },
            DefaultBaseStyle->"Column",
            GridBoxAlignment->{"Columns" -> {{Left}}},
            GridBoxDividers->{"Columns" -> {{False}}, "Rows" -> {{False}}},
            
            GridBoxItemSize->{
             "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
            GridBoxSpacings->{"Columns" -> {
                Offset[0.27999999999999997`], {
                 Offset[0.5599999999999999]}, 
                Offset[0.27999999999999997`]}, "Rows" -> {
                Offset[0.2], {
                 Offset[3.6]}, 
                Offset[0.2]}}],
           FrameMargins->6], ""},
         {
          ItemBox[
           TagBox[
            ButtonBox[
             PaneSelectorBox[{False->
              
              DynamicBox[FEPrivate`FrontEndResource[
               "FEBitmaps", "UpPointerOpener"]], True->
              
              DynamicBox[FEPrivate`FrontEndResource[
               "FEBitmaps", "UpPointerOpenerHot"]]}, Dynamic[
              System`InformationDump`mouseOver$$]],
             Alignment->Left,
             Appearance->{"Default" -> None},
             
             ButtonFunction:>FEPrivate`Set[
              System`InformationDump`open$$, False],
             Evaluator->Automatic,
             FrameMargins->{{9, 0}, {0, 0}},
             ImageMargins->0,
             ImageSize->Full,
             Method->"Preemptive"],
            
            EventHandlerTag[{
             "MouseEntered" :> 
              FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
              "MouseExited" :> 
              FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
              Method -> "Preemptive", PassEventsDown -> Automatic, 
              PassEventsUp -> True}]],
           BaseStyle->"InformationTitleBackground",
           StripOnInput->False], "\[SpanFromLeft]"}
        },
        AutoDelete->False,
        FrameStyle->Directive[
          GrayLevel[0.8], 
          Thickness[Tiny]],
        GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
        GridBoxDividers->{
         "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
        GridBoxItemSize->{
         "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
       "Grid"], False->
      TagBox[GridBox[{
         {
          ItemBox[
           PaneBox[
            StyleBox["\<\" Symbol\"\>", "InformationTitleText",
             StripOnInput->False],
            FrameMargins->{{4, 0}, {-1, 1}}],
           BaseStyle->"InformationTitleBackground",
           StripOnInput->False], 
          ItemBox["\<\"\"\>",
           BaseStyle->"InformationTitleBackground",
           StripOnInput->False]},
         {
          ItemBox[
           PaneBox[
            
            StyleBox["\<\"Realiza la b\[UAcute]squeda de forma recursiva de \
un dato \[OpenCurlyDoubleQuote]a\[CloseCurlyDoubleQuote] sobre una lista \
\[OpenCurlyDoubleQuote]L\[CloseCurlyDoubleQuote]. El comando retorna los \
resultados paso a paso y permite, adem\[AAcute]s, visualizar el \
c\[OAcute]digo que lo conforma mediante el uso de las opciones \
\[OpenCurlyDoubleQuote]steps->True\[CloseCurlyDoubleQuote] y \
\[OpenCurlyDoubleQuote]code->True\[CloseCurlyDoubleQuote], respectivamente. \
Sintaxis: Dato[a, L], o bien, Dato[a, L, code->Valor, steps->Valor].\"\>", 
             "InformationUsageText",
             StripOnInput->False,
             LineSpacing->{1.5, 1.5, 3.}],
            FrameMargins->{{10, 10}, {8, 10}}],
           BaseStyle->"InformationUsageSubtitleBackground",
           StripOnInput->False], 
          ItemBox["\<\"\"\>",
           BaseStyle->"InformationUsageSubtitleBackground",
           StripOnInput->False]},
         {
          ItemBox[
           TagBox[
            ButtonBox[
             PaneSelectorBox[{False->
              
              DynamicBox[FEPrivate`FrontEndResource[
               "FEBitmaps", "DownPointerOpener"],
               ImageSizeCache->{15., {5., 10.}}], True->
              
              DynamicBox[FEPrivate`FrontEndResource[
               "FEBitmaps", "DownPointerOpenerHot"],
               ImageSizeCache->{15., {5., 10.}}]}, Dynamic[
              System`InformationDump`mouseOver$$]],
             Alignment->Left,
             Appearance->{"Default" -> None},
             
             ButtonFunction:>FEPrivate`Set[
              System`InformationDump`open$$, True],
             Evaluator->Automatic,
             FrameMargins->{{9, 0}, {0, 0}},
             ImageMargins->0,
             ImageSize->Full,
             Method->"Preemptive"],
            
            EventHandlerTag[{
             "MouseEntered" :> 
              FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
              "MouseExited" :> 
              FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
              Method -> "Preemptive", PassEventsDown -> Automatic, 
              PassEventsUp -> True}]],
           BaseStyle->"InformationTitleBackground",
           StripOnInput->False], "\[SpanFromLeft]"}
        },
        AutoDelete->False,
        FrameStyle->Directive[
          GrayLevel[0.8], 
          Thickness[Tiny]],
        GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
        GridBoxDividers->{
         "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
        GridBoxItemSize->{
         "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
       "Grid"]}, Dynamic[System`InformationDump`open$$],
      BaselinePosition->Baseline,
      FrameMargins->0,
      ImageSize->Automatic],
     DynamicModuleValues:>{}],
    BaseStyle->"InformationGridFrame",
    StripOnInput->False], "InformationGridPlain",
   StripOnInput->False],
  InformationData[
   Association[
   "ObjectType" -> "Symbol", "Usage" -> 
    "Realiza la b\[UAcute]squeda de forma recursiva de un dato \
\[OpenCurlyDoubleQuote]a\[CloseCurlyDoubleQuote] sobre una lista \
\[OpenCurlyDoubleQuote]L\[CloseCurlyDoubleQuote]. El comando retorna los \
resultados paso a paso y permite, adem\[AAcute]s, visualizar el \
c\[OAcute]digo que lo conforma mediante el uso de las opciones \
\[OpenCurlyDoubleQuote]steps->True\[CloseCurlyDoubleQuote] y \
\[OpenCurlyDoubleQuote]code->True\[CloseCurlyDoubleQuote], respectivamente. \
Sintaxis: Dato[a, L], o bien, Dato[a, L, code->Valor, steps->Valor].", 
    "Documentation" -> None, "OwnValues" -> None, "UpValues" -> None, 
    "DownValues" -> 
    Information`InformationValueForm[
     DownValues, VilCretas`Dato, {VilCretas`Dato[
         Pattern[VilCretas`Private`Ra, 
          Blank[]], 
         Pattern[VilCretas`Private`L, 
          Blank[List]], 
         OptionsPattern[]] :> If[
         VectorQ[VilCretas`Private`L], 
         If[MemberQ[VilCretas`Private`L, Null] == False, 
          
          Module[{VilCretas`Private`RDato, VilCretas`Private`RDatoSteps, 
            VilCretas`Private`RCont1 = 0}, VilCretas`Private`RDato[
              Pattern[VilCretas`Private`Rb, 
               Blank[]], 
              Pattern[VilCretas`Private`Lista, 
               Blank[List]]] := 
            Module[{VilCretas`Private`RList2 = VilCretas`Private`Lista}, 
              If[
              VilCretas`Private`RList2 == {}, "Dato no encontrado", 
               VilCretas`Private`RVl3 = Last[VilCretas`Private`RList2]; 
               If[ToString[VilCretas`Private`Rb] == 
                 ToString[VilCretas`Private`RVl3], "Dato encontrado", 
                 VilCretas`Private`RList2 = Delete[VilCretas`Private`RList2, 
                    Length[VilCretas`Private`RList2]]; 
                 VilCretas`Private`RDato[
                  VilCretas`Private`Rb, VilCretas`Private`RList2]]]]; 
           VilCretas`Private`RDatoSteps[
              Pattern[VilCretas`Private`Rb, 
               Blank[]], 
              Pattern[VilCretas`Private`Lista, 
               Blank[List]]] := 
            Module[{VilCretas`Private`RList2 = VilCretas`Private`Lista}, 
              If[VilCretas`Private`RList2 == {}, 
               Print["Dato no encontrado"], 
               VilCretas`Private`RVl3 = Last[VilCretas`Private`RList2]; 
               If[ToString[VilCretas`Private`Rb] == 
                 ToString[VilCretas`Private`RVl3], 
                 Print["Dato encontrado"], 
                 If[VilCretas`Private`RCont1 == 0, 
                   Print["Dato[", VilCretas`Private`Rb, ",", 
                    VilCretas`Private`RList2, "]"]; Null]; 
                 VilCretas`Private`RList2 = Delete[VilCretas`Private`RList2, 
                    Length[VilCretas`Private`RList2]]; 
                 Increment[VilCretas`Private`RCont1]; 
                 Print["Dato[", VilCretas`Private`Rb, ",", 
                   VilCretas`Private`RList2, "]"]; 
                 VilCretas`Private`RDatoSteps[
                  VilCretas`Private`Rb, VilCretas`Private`RList2]]]]; If[
             And[
              BooleanQ[
               OptionValue[VilCretas`steps]], 
              BooleanQ[
               OptionValue[VilCretas`code]]], 
             If[
              OptionValue[VilCretas`code], 
              Print[{
                VilCretas`Private`RDato[
                VilCretas`Private`Ra, VilCretas`Private`L], 
                "Dato[a_,L_List]:=Module[{Lista=L},If[Lista\[Equal]{},\
\[OpenCurlyDoubleQuote]Dato no \
encontrado\[CloseCurlyDoubleQuote],Vl=Last[Lista];If[ToString[a]\[Equal]\
ToString[Vl],\[OpenCurlyDoubleQuote]Dato \
encontrado\[CloseCurlyDoubleQuote],Lista=Delete[Lista,Length[Lista]];Dato[a,\
Lista]]]]"}]]]; If[
             And[
              BooleanQ[
               OptionValue[VilCretas`steps]], 
              BooleanQ[
               OptionValue[VilCretas`code]]], 
             If[
              OptionValue[VilCretas`steps], 
              VilCretas`Private`RDatoSteps[
              VilCretas`Private`Ra, VilCretas`Private`L], 
              If[OptionValue[VilCretas`code] == False, 
               VilCretas`Private`RDato[
               VilCretas`Private`Ra, VilCretas`Private`L]]]]]]]}], 
    "SubValues" -> None, "DefaultValues" -> None, "NValues" -> None, 
    "FormatValues" -> None, 
    "Options" -> {VilCretas`code -> False, VilCretas`steps -> False}, 
    "Attributes" -> {Protected}, "FullName" -> "VilCretas`Dato"], 
   False]]], "Output",
 CellChangeTimes->{3.8044479348939*^9},
 CellLabel->"Out[2]=",ExpressionUUID->"85c94ed0-3b9c-4b57-918a-716e93f69fd0"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Dato", "[", 
  RowBox[{"\"\<ocho\>\"", ",", 
   RowBox[{"{", 
    RowBox[{
    "3", ",", "a", ",", "5", ",", "9", ",", "\"\<ocho\>\"", ",", "x", ",", 
     "7", ",", "6", ",", "\"\<hola\>\""}], "}"}], ",", 
   RowBox[{"code", "\[Rule]", "True"}], ",", 
   RowBox[{"steps", "\[Rule]", "True"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.8044479392288957`*^9, 3.804447986789978*^9}, {
  3.8044489434726906`*^9, 3.804448954423127*^9}},
 CellLabel->"In[5]:=",ExpressionUUID->"abbe6180-3fc9-4b77-8b3e-cb48f61583b5"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"\<\"Dato encontrado\"\>", 
   ",", "\<\"Dato[a_,L_List]:=Module[{Lista=L},If[Lista\[Equal]{},\
\[OpenCurlyDoubleQuote]Dato no \
encontrado\[CloseCurlyDoubleQuote],Vl=Last[Lista];If[ToString[a]\[Equal]\
ToString[Vl],\[OpenCurlyDoubleQuote]Dato \
encontrado\[CloseCurlyDoubleQuote],Lista=Delete[Lista,Length[Lista]];Dato[a,\
Lista]]]]\"\>"}], "}"}]], "Print",
 CellChangeTimes->{3.8044479875419655`*^9, 3.804448955656316*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[5]:=",ExpressionUUID->"dfe95115-fe26-4e74-97a2-d2255b26fb04"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Dato[\"\>", "\[InvisibleSpace]", "\<\"ocho\"\>", 
   "\[InvisibleSpace]", "\<\",\"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
    "3", ",", "a", ",", "5", ",", "9", ",", "\<\"ocho\"\>", ",", "x", ",", 
     "7", ",", "6", ",", "\<\"hola\"\>"}], "}"}], 
   "\[InvisibleSpace]", "\<\"]\"\>"}],
  SequenceForm[
  "Dato[", "ocho", ",", {
   3, $CellContext`a, 5, 9, "ocho", $CellContext`x, 7, 6, "hola"}, "]"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8044479875419655`*^9, 3.804448955656316*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[5]:=",ExpressionUUID->"7f0fd96e-2bae-49fd-b8c9-b2ea4dde39bc"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Dato[\"\>", "\[InvisibleSpace]", "\<\"ocho\"\>", 
   "\[InvisibleSpace]", "\<\",\"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
    "3", ",", "a", ",", "5", ",", "9", ",", "\<\"ocho\"\>", ",", "x", ",", 
     "7", ",", "6"}], "}"}], "\[InvisibleSpace]", "\<\"]\"\>"}],
  SequenceForm[
  "Dato[", "ocho", ",", {
   3, $CellContext`a, 5, 9, "ocho", $CellContext`x, 7, 6}, "]"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8044479875419655`*^9, 3.804448955656316*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[5]:=",ExpressionUUID->"f8179644-b76a-49bf-a5cb-07e515c1bf13"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Dato[\"\>", "\[InvisibleSpace]", "\<\"ocho\"\>", 
   "\[InvisibleSpace]", "\<\",\"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
    "3", ",", "a", ",", "5", ",", "9", ",", "\<\"ocho\"\>", ",", "x", ",", 
     "7"}], "}"}], "\[InvisibleSpace]", "\<\"]\"\>"}],
  SequenceForm[
  "Dato[", "ocho", ",", {3, $CellContext`a, 5, 9, "ocho", $CellContext`x, 7}, 
   "]"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8044479875419655`*^9, 3.804448955656316*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[5]:=",ExpressionUUID->"c9a4962b-0dcb-4181-b432-a0a72c206917"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Dato[\"\>", "\[InvisibleSpace]", "\<\"ocho\"\>", 
   "\[InvisibleSpace]", "\<\",\"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
    "3", ",", "a", ",", "5", ",", "9", ",", "\<\"ocho\"\>", ",", "x"}], "}"}],
    "\[InvisibleSpace]", "\<\"]\"\>"}],
  SequenceForm[
  "Dato[", "ocho", ",", {3, $CellContext`a, 5, 9, "ocho", $CellContext`x}, 
   "]"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8044479875419655`*^9, 3.804448955656316*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[5]:=",ExpressionUUID->"d6a1f7cb-3381-4504-8d76-d6734dcb51bd"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Dato[\"\>", "\[InvisibleSpace]", "\<\"ocho\"\>", 
   "\[InvisibleSpace]", "\<\",\"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"3", ",", "a", ",", "5", ",", "9", ",", "\<\"ocho\"\>"}], "}"}], 
   "\[InvisibleSpace]", "\<\"]\"\>"}],
  SequenceForm["Dato[", "ocho", ",", {3, $CellContext`a, 5, 9, "ocho"}, "]"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8044479875419655`*^9, 3.804448955656316*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[5]:=",ExpressionUUID->"0ee39af7-2175-4098-8d80-6ef21622ec5f"],

Cell[BoxData["\<\"Dato encontrado\"\>"], "Print",
 CellChangeTimes->{3.8044479875419655`*^9, 3.804448955656316*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[5]:=",ExpressionUUID->"9e5e851a-acf5-4082-82af-c4620474a4d5"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Dato", "[", 
  RowBox[{"\"\<Ocho\>\"", ",", 
   RowBox[{"{", 
    RowBox[{
    "3", ",", "a", ",", "5", ",", "9", ",", "\"\<ocho\>\"", ",", "x", ",", 
     "7", ",", "6", ",", "\"\<hola\>\""}], "}"}], ",", 
   RowBox[{"steps", "\[Rule]", "True"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.804448959756236*^9, 3.804448966173418*^9}, {
  3.804449814238683*^9, 3.8044498145398397`*^9}},
 CellLabel->"In[7]:=",ExpressionUUID->"0fec8577-fd8f-4aa3-92e1-2592fb8747f9"],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Dato[\"\>", "\[InvisibleSpace]", "\<\"Ocho\"\>", 
   "\[InvisibleSpace]", "\<\",\"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
    "3", ",", "a", ",", "5", ",", "9", ",", "\<\"ocho\"\>", ",", "x", ",", 
     "7", ",", "6", ",", "\<\"hola\"\>"}], "}"}], 
   "\[InvisibleSpace]", "\<\"]\"\>"}],
  SequenceForm[
  "Dato[", "Ocho", ",", {
   3, $CellContext`a, 5, 9, "ocho", $CellContext`x, 7, 6, "hola"}, "]"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8044489669561415`*^9, 3.8044498154409065`*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[7]:=",ExpressionUUID->"7cac7a24-96fc-4d17-a2cc-e068f57d8331"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Dato[\"\>", "\[InvisibleSpace]", "\<\"Ocho\"\>", 
   "\[InvisibleSpace]", "\<\",\"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
    "3", ",", "a", ",", "5", ",", "9", ",", "\<\"ocho\"\>", ",", "x", ",", 
     "7", ",", "6"}], "}"}], "\[InvisibleSpace]", "\<\"]\"\>"}],
  SequenceForm[
  "Dato[", "Ocho", ",", {
   3, $CellContext`a, 5, 9, "ocho", $CellContext`x, 7, 6}, "]"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8044489669561415`*^9, 3.8044498154409065`*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[7]:=",ExpressionUUID->"dfd3f4d1-4374-40d6-be1a-9c270aefe445"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Dato[\"\>", "\[InvisibleSpace]", "\<\"Ocho\"\>", 
   "\[InvisibleSpace]", "\<\",\"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
    "3", ",", "a", ",", "5", ",", "9", ",", "\<\"ocho\"\>", ",", "x", ",", 
     "7"}], "}"}], "\[InvisibleSpace]", "\<\"]\"\>"}],
  SequenceForm[
  "Dato[", "Ocho", ",", {3, $CellContext`a, 5, 9, "ocho", $CellContext`x, 7}, 
   "]"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8044489669561415`*^9, 3.8044498154409065`*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[7]:=",ExpressionUUID->"2af48316-80bd-4b99-8b03-57b91de07ee5"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Dato[\"\>", "\[InvisibleSpace]", "\<\"Ocho\"\>", 
   "\[InvisibleSpace]", "\<\",\"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
    "3", ",", "a", ",", "5", ",", "9", ",", "\<\"ocho\"\>", ",", "x"}], "}"}],
    "\[InvisibleSpace]", "\<\"]\"\>"}],
  SequenceForm[
  "Dato[", "Ocho", ",", {3, $CellContext`a, 5, 9, "ocho", $CellContext`x}, 
   "]"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8044489669561415`*^9, 3.8044498154409065`*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[7]:=",ExpressionUUID->"dbad149c-da2c-4fbc-92d4-4fdcdf57adc0"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Dato[\"\>", "\[InvisibleSpace]", "\<\"Ocho\"\>", 
   "\[InvisibleSpace]", "\<\",\"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"3", ",", "a", ",", "5", ",", "9", ",", "\<\"ocho\"\>"}], "}"}], 
   "\[InvisibleSpace]", "\<\"]\"\>"}],
  SequenceForm["Dato[", "Ocho", ",", {3, $CellContext`a, 5, 9, "ocho"}, "]"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8044489669561415`*^9, 3.8044498154409065`*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[7]:=",ExpressionUUID->"4670f6d5-6942-483d-99e1-4438396cae89"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Dato[\"\>", "\[InvisibleSpace]", "\<\"Ocho\"\>", 
   "\[InvisibleSpace]", "\<\",\"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"3", ",", "a", ",", "5", ",", "9"}], "}"}], 
   "\[InvisibleSpace]", "\<\"]\"\>"}],
  SequenceForm["Dato[", "Ocho", ",", {3, $CellContext`a, 5, 9}, "]"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8044489669561415`*^9, 3.8044498154409065`*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[7]:=",ExpressionUUID->"07dd83c3-d389-4bf1-b55e-2611ff586606"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Dato[\"\>", "\[InvisibleSpace]", "\<\"Ocho\"\>", 
   "\[InvisibleSpace]", "\<\",\"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"3", ",", "a", ",", "5"}], "}"}], 
   "\[InvisibleSpace]", "\<\"]\"\>"}],
  SequenceForm["Dato[", "Ocho", ",", {3, $CellContext`a, 5}, "]"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8044489669561415`*^9, 3.8044498154564133`*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[7]:=",ExpressionUUID->"acd41d40-0cbc-4f67-af2d-4c8ee65cb349"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Dato[\"\>", "\[InvisibleSpace]", "\<\"Ocho\"\>", 
   "\[InvisibleSpace]", "\<\",\"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"3", ",", "a"}], "}"}], "\[InvisibleSpace]", "\<\"]\"\>"}],
  SequenceForm["Dato[", "Ocho", ",", {3, $CellContext`a}, "]"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8044489669561415`*^9, 3.8044498154564133`*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[7]:=",ExpressionUUID->"3e6146cb-71ae-48f1-b723-6d0c151106e5"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Dato[\"\>", "\[InvisibleSpace]", "\<\"Ocho\"\>", 
   "\[InvisibleSpace]", "\<\",\"\>", "\[InvisibleSpace]", 
   RowBox[{"{", "3", "}"}], "\[InvisibleSpace]", "\<\"]\"\>"}],
  SequenceForm["Dato[", "Ocho", ",", {3}, "]"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8044489669561415`*^9, 3.8044498154564133`*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[7]:=",ExpressionUUID->"687d8310-163b-4304-8082-47628e2c3f33"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Dato[\"\>", "\[InvisibleSpace]", "\<\"Ocho\"\>", 
   "\[InvisibleSpace]", "\<\",\"\>", "\[InvisibleSpace]", 
   RowBox[{"{", "}"}], "\[InvisibleSpace]", "\<\"]\"\>"}],
  SequenceForm["Dato[", "Ocho", ",", {}, "]"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8044489669561415`*^9, 3.8044498154564133`*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[7]:=",ExpressionUUID->"3e6db1cf-2f21-41a4-b703-5d2a5c35ef7d"],

Cell[BoxData["\<\"Dato no encontrado\"\>"], "Print",
 CellChangeTimes->{3.8044489669561415`*^9, 3.8044498154564133`*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[7]:=",ExpressionUUID->"33c618cc-5482-4f2b-b05f-a0e7b061ed6f"]
}, Open  ]]
}, Open  ]]
},
WindowSize->{960, 478},
WindowMargins->{{Automatic, -5.5}, {-5.5, Automatic}},
Magnification:>1.5 Inherited,
FrontEndVersion->"12.1 para Microsoft Windows (64-bit) (March 14, 2020)",
StyleDefinitions->"Default.nb",
ExpressionUUID->"051bb319-ea1e-4955-9f14-5324d89ae1a2"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[558, 20, 199, 3, 42, "Input",ExpressionUUID->"43ce695b-0249-480c-a418-2f910b036204"],
Cell[CellGroupData[{
Cell[782, 27, 191, 3, 42, "Input",ExpressionUUID->"6ddad125-e16d-4089-ac95-02d90fb5d5bb"],
Cell[976, 32, 23055, 514, 250, "Output",ExpressionUUID->"85c94ed0-3b9c-4b57-918a-716e93f69fd0"]
}, Open  ]],
Cell[CellGroupData[{
Cell[24068, 551, 533, 11, 119, "Input",ExpressionUUID->"abbe6180-3fc9-4b77-8b3e-cb48f61583b5"],
Cell[CellGroupData[{
Cell[24626, 566, 579, 12, 86, "Print",ExpressionUUID->"dfe95115-fe26-4e74-97a2-d2255b26fb04"],
Cell[25208, 580, 680, 16, 33, "Print",ExpressionUUID->"7f0fd96e-2bae-49fd-b8c9-b2ea4dde39bc"],
Cell[25891, 598, 647, 15, 33, "Print",ExpressionUUID->"f8179644-b76a-49bf-a5cb-07e515c1bf13"],
Cell[26541, 615, 634, 15, 33, "Print",ExpressionUUID->"c9a4962b-0dcb-4181-b432-a0a72c206917"],
Cell[27178, 632, 619, 15, 33, "Print",ExpressionUUID->"d6a1f7cb-3381-4504-8d76-d6734dcb51bd"],
Cell[27800, 649, 581, 12, 33, "Print",ExpressionUUID->"0ee39af7-2175-4098-8d80-6ef21622ec5f"],
Cell[28384, 663, 231, 4, 33, "Print",ExpressionUUID->"9e5e851a-acf5-4082-82af-c4620474a4d5"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[28664, 673, 485, 10, 66, "Input",ExpressionUUID->"0fec8577-fd8f-4aa3-92e1-2592fb8747f9"],
Cell[CellGroupData[{
Cell[29174, 687, 682, 16, 33, "Print",ExpressionUUID->"7cac7a24-96fc-4d17-a2cc-e068f57d8331"],
Cell[29859, 705, 649, 15, 33, "Print",ExpressionUUID->"dfd3f4d1-4374-40d6-be1a-9c270aefe445"],
Cell[30511, 722, 636, 15, 33, "Print",ExpressionUUID->"2af48316-80bd-4b99-8b03-57b91de07ee5"],
Cell[31150, 739, 621, 15, 33, "Print",ExpressionUUID->"dbad149c-da2c-4fbc-92d4-4fdcdf57adc0"],
Cell[31774, 756, 583, 12, 33, "Print",ExpressionUUID->"4670f6d5-6942-483d-99e1-4438396cae89"],
Cell[32360, 770, 554, 12, 33, "Print",ExpressionUUID->"07dd83c3-d389-4bf1-b55e-2611ff586606"],
Cell[32917, 784, 541, 12, 33, "Print",ExpressionUUID->"acd41d40-0cbc-4f67-af2d-4c8ee65cb349"],
Cell[33461, 798, 524, 11, 33, "Print",ExpressionUUID->"3e6146cb-71ae-48f1-b723-6d0c151106e5"],
Cell[33988, 811, 483, 10, 33, "Print",ExpressionUUID->"687d8310-163b-4304-8082-47628e2c3f33"],
Cell[34474, 823, 477, 10, 33, "Print",ExpressionUUID->"3e6db1cf-2f21-41a4-b703-5d2a5c35ef7d"],
Cell[34954, 835, 236, 4, 33, "Print",ExpressionUUID->"33c618cc-5482-4f2b-b05f-a0e7b061ed6f"]
}, Open  ]]
}, Open  ]]
}
]
*)

